/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mcts;

import tictactoecodingame.Coup;

/**
 *
 * @author Lloyd
 */
public class MeilleurCoup {
    
    public static Coup getMeilleurCoupUCT(Noeud racine) {
        Noeud meilleurNoeud = new Noeud();
        double score;
        double meilleurScore = Integer.MIN_VALUE;
        for (Noeud enfant : racine.getListeEnfant()) {
            score = enfant.getEtat().getScoreVictoire() / (double) enfant.getEtat().getNbVisite();
            if (score > meilleurScore) {
                meilleurScore = score;
                meilleurNoeud = enfant;
            }
        }
        
        return meilleurNoeud.getEtat().getDernierCoup();
    }
}
